<?php 
/*
 * Plugin Name: 3D Viewer
 * Plugin URI:  https://bplugins.com/
 * Description: Easily display interactive 3D models on the web. Supported File type .glb, .gltf
 * Version: 1.0.0
 * Author: bPlugins LLC
 * Author URI: http://bplugins.com
 * License: GPLv3
 * Text Domain:  modelViewer
 * Domain Path:  /languages
*/


// load text domain
function bp3dviewer_load_textdomain() {
    load_plugin_textdomain( 'modelViewer', false, dirname( __FILE__ ) . "/languages" );
}

add_action( "plugins_loaded", 'bp3dviewer_load_textdomain' );

/*Some Set-up*/
define('BP3DVIEWER_PLUGIN_DIR', WP_PLUGIN_URL . '/' . plugin_basename( dirname(__FILE__) ) . '/' );
define('BP3DVIEWER_PLUGIN_VERSION','1.0.0' );
 


//Lets register our shortcode
function bp3dviewer_cpt_content_func($atts){
	extract( shortcode_atts( array(

		'id' => '',
		'src' => '',
		'alt' => '',
		'width' => '100%',
		'height' => '%',
		'auto_rotate' => 'auto-rotate',
		'camera_controls' =>'camera-controls',

	), $atts ) );

?>


<?php
echo wp_get_script_tag(
    array(
        'src'      =>BP3DVIEWER_PLUGIN_DIR.'public/js/model-viewer.min.js',
        'type' => 'module',
    )
);

?>

<model-viewer class="model" style="width: <?php echo $width; ?>; height:<?php echo $height; ?>;" src="<?php echo $src; ?>" alt="<?php echo $alt; ?>"  camera-controls></model-viewer>



<?php
}
add_shortcode('3d_viewer','bp3dviewer_cpt_content_func');